# Generated from spandx-rubygems-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spandx-rubygems

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: A index of software licenses for gems hosted on rubygems.org
License: MIT
URL: https://github.com/mokhan/spandx-rubygems
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(bundler-audit) >= 0.6
# BuildRequires: rubygem(bundler-audit) < 1
# BuildRequires: rubygem(pg) >= 1.2
# BuildRequires: rubygem(pg) < 2
# BuildRequires: rubygem(rubocop) >= 0.52
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 1.22
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(vcr) >= 5.1
# BuildRequires: rubygem(vcr) < 6
# BuildRequires: rubygem(webmock) >= 3.8
# BuildRequires: rubygem(webmock) < 4
BuildArch: noarch

%description
A index of software licenses for gems hosted on rubygems.org.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/spandx-rubygems
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spandx-rubygems.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.3-1
- Initial package
